﻿using System;
using System.Windows;

namespace TopConAPIDotNet4WPFExample
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow:Window
  {
    public MainWindow()
    {
      InitializeComponent();
      DataContext = new MainWindowViewModel(BatterySimulationView, SasSimulationView);
      Closed += OnClosed;
    }

    private void OnClosed(object sender, EventArgs eventArgs)
    {
      MainWindowViewModel vm = DataContext as MainWindowViewModel;
      if (vm != null)
      {
        vm.DoDisconnect();
      }
    }
  }
}
